iPhone 3G to 4.1 Unlocked

Discussion in 'Jailbreaks and iOS Hacks' started by curuxu, Dec 6, 2010.

  1. curuxu macrumors newbie

    Joined:
    Jul 18, 2009
    #1
    My friend has an old JB 3G (3.1.2) that she wants to update to 4.1 JB and unlock.

    I suggested that she follows the instructions on this iClarified page: http://www.iclarified.com/entry/index.php?enid=12115

    However, the instructions clearly state: "Do not use this tutorial if you need the unlock as there is no unlock for iOS 4.1 baseband yet. Instead, wait for the release of PwnageTool".

    Does anybody know if the new UltrasnOw unlocks the stock baseband on 4.1? and what is that baseband? It is very confusing...

    What is the best way for her to update her 3G to 4.1 and unlock?

    Thanks.
     
  2. Myzhi macrumors 6502a

    Joined:
    Dec 15, 2009
    #2
    There is no unlock for 4.1 firmware with 5.14 baseband. And, unless you have 4.1 SHSH files saved, you can't update to the anymore because Apple is no longer allowing people to install 4.1. If that's the case, you will have to use 4.2.1. Use Pwnagetool to create a custom 4.2.1 firmware file (one that keeps the current baseband = unlock possibility). Restore to that file through iTunes.
     
  3. maturola macrumors 68040

    maturola

    Joined:
    Oct 29, 2007
    Location:
    Atlanta, GA
    #3
    He got a 3G, don't need SHSHs.

    Depending on what bootroom the phone is running you may be able to update with pwnage tool and Unlock using UnltraSn0w.

    What bootroom your phone have?
     
  4. Myzhi macrumors 6502a

    Joined:
    Dec 15, 2009
    #4
    Apple started using SHSH checks on 3G with 4.0 firmware and onward. 3.1.3 and below, you can reinstall them just fine.

    And, Yes. If OP was lucky to have an early release 3G with 5.8 bootloader, the baseband can be downgrade, but odds are kinda low. Use F0rcast to find out.

    http://ih8sn0w.com/index.php/products/view/f0recast.snow
     
  5. maturola macrumors 68040

    maturola

    Joined:
    Oct 29, 2007
    Location:
    Atlanta, GA
    #5
    4.X SHSHs check on 3G is a software check, easily bypass by most tools available.
     
  6. iLover1 macrumors member

    Joined:
    Nov 27, 2010
    #6
    firmwares 5.xxx cant be unlocked, you must upgrade to 6.15 via redsnow and then unlock via ultrasn0w.
     
  7. PinoySaMI macrumors member

    PinoySaMI

    Joined:
    Aug 9, 2010
    #7
    firmware 05.14.04 cannot be unlock by ultrasnOw. Have to use Ipad Firmware 6.15 to unlock when upgrading to 4.2.1

    But...OS 4.1 can be JB then unlock using limerain.
     
  8. iLover1 macrumors member

    Joined:
    Nov 27, 2010
    #8
    My bad I only follow the devteam, I dont follow geohot. :p
     

Share This Page